package com.lightinit.hsdatashow.service.ms;

import com.lightinit.hsdatashow.entity.BaseExample;
import com.lightinit.hsdatashow.entity.PublicSecurity;
import com.lightinit.hsdatashow.model.ResultState;

import java.util.List;

public interface IMSPublicSecurityService {
    List<PublicSecurity> queryList(BaseExample.Page pager);

    long queryCount(BaseExample.Page pager);

    ResultState<Long> delete(long id);

    ResultState add(PublicSecurity inputModel);

    PublicSecurity edit(long id);

    ResultState doEdit(PublicSecurity inputModel);
}
